Index: trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 2528)
@@ -4,7 +4,23 @@
    !! Ocean diagnostics :  write ocean output files
    !!=====================================================================
-
-   !!----------------------------------------------------------------------
-   !! * Modules used
+   !! History :  OPA  ! 1991-03  (M.-A. Foujols)  Original code
+   !!            4.0  ! 1991-11  (G. Madec)
+   !!                 ! 1992-06  (M. Imbard)  correction restart file
+   !!                 ! 1992-07  (M. Imbard)  split into diawri and rstwri
+   !!                 ! 1993-03  (M. Imbard)  suppress writibm
+   !!                 ! 1998-01  (C. Levy)  NETCDF format using ioipsl INTERFACE
+   !!                 ! 1999-02  (E. Guilyardi)  name of netCDF files + variables
+   !!            8.2  ! 2000-06  (M. Imbard)  Original code (diabort.F)
+   !!   NEMO     1.0  ! 2002-06  (A.Bozec, E. Durand)  Original code (diainit.F)
+   !!             -   ! 2002-09  (G. Madec)  F90: Free form and module
+   !!             -   ! 2002-12  (G. Madec)  merge of diabort and diainit, F90
+   !!                 ! 2005-11  (V. Garnier) Surface pressure gradient organization
+   !!            3.2  ! 2008-11  (B. Lemaire) creation from old diawri
+   !!----------------------------------------------------------------------
+
+   !!----------------------------------------------------------------------
+   !!   dia_wri       : create the standart output files
+   !!   dia_wri_state : create an output NetCDF file for a single instantaeous ocean state and forcing fields
+   !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers 
    USE dom_oce         ! ocean space and time domain
@@ -30,22 +46,20 @@
    USE limwri_2 
 #endif
+   USE dtatem
+   USE dtasal
+
    IMPLICIT NONE
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC dia_wri                 ! routines called by step.F90
-   PUBLIC dia_wri_state
-
-   !! * Module variables
-   INTEGER ::   &
-      nid_T, nz_T, nh_T, ndim_T, ndim_hT,      &   ! grid_T file
-      nid_U, nz_U, nh_U, ndim_U, ndim_hU,      &   ! grid_U file
-      nid_V, nz_V, nh_V, ndim_V, ndim_hV,      &   ! grid_V file
-      nid_W, nz_W, nh_W,                       &   ! grid_W file
-      ndex(1)                                      ! ???
-   INTEGER, DIMENSION(jpi*jpj) ::   &
-      ndex_hT, ndex_hU, ndex_hV
-   INTEGER, DIMENSION(jpi*jpj*jpk) ::   &
-      ndex_T, ndex_U, ndex_V
+   PUBLIC   dia_wri                 ! routines called by step.F90
+   PUBLIC   dia_wri_state
+
+   INTEGER ::   nid_T, nz_T, nh_T, ndim_T, ndim_hT   ! grid_T file
+   INTEGER ::   nid_U, nz_U, nh_U, ndim_U, ndim_hU   ! grid_U file
+   INTEGER ::   nid_V, nz_V, nh_V, ndim_V, ndim_hV   ! grid_V file
+   INTEGER ::   nid_W, nz_W, nh_W                    ! grid_W file
+   INTEGER ::   ndex(1)                              ! ???
+   INTEGER, DIMENSION(jpi*jpj)     ::   ndex_hT, ndex_hU, ndex_hV
+   INTEGER, DIMENSION(jpi*jpj*jpk) ::   ndex_T, ndex_U, ndex_V
 
    !! * Substitutions
@@ -54,14 +68,13 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id $
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
 #if defined key_dimgout
    !!----------------------------------------------------------------------
-   !!   dia_wri       : create the dimg direct access output file (mpp)
+   !!   'key_dimgout'                                      DIMG output file
    !!----------------------------------------------------------------------
 #   include "diawri_dimg.h90"
@@ -71,9 +84,8 @@
    !!   Default option                                   NetCDF output file
    !!----------------------------------------------------------------------
-   !!   dia_wri       : create the standart NetCDF output files
-   !!   dia_wri_state : create an output NetCDF file for a single
-   !!                   instantaeous ocean state and forcing fields
-   !!----------------------------------------------------------------------
 # if defined key_iomput
+   !!----------------------------------------------------------------------
+   !!   'key_iomput'                                        use IOM library
+   !!----------------------------------------------------------------------
    SUBROUTINE dia_wri( kt )
       !!---------------------------------------------------------------------
@@ -84,7 +96,4 @@
       !!
       !! ** Method  :  use iom_put
-      !!
-      !! History :
-      !!   3.2  !  05-11  (B. Lemaire) creation from old diawri
       !!----------------------------------------------------------------------
       USE oce, ONLY :   z3d => ta   ! use ta as 3D workspace
@@ -165,8 +174,12 @@
          CALL iom_put( "v_heattr", z2d )                  !  heat transport in i-direction
       ENDIF
-
+      !
    END SUBROUTINE dia_wri
 
 #else
+   !!----------------------------------------------------------------------
+   !!   Default option                                  use IOIPSL  library
+   !!----------------------------------------------------------------------
+
    SUBROUTINE dia_wri( kt )
       !!---------------------------------------------------------------------
@@ -180,32 +193,13 @@
       !!      At each time step call histdef to compute the mean if ncessary
       !!      Each nwrite time step, output the instantaneous or mean fields
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
       !!
-      !! History :
-      !!        !  91-03  (M.-A. Foujols)  Original code
-      !!        !  91-11  (G. Madec)
-      !!        !  92-06  (M. Imbard)  correction restart file
-      !!        !  92-07  (M. Imbard)  split into diawri and rstwri
-      !!        !  93-03  (M. Imbard)  suppress writibm
-      !!        !  98-01  (C. Levy)  NETCDF format using ioipsl INTERFACE
-      !!        !  99-02  (E. Guilyardi)  name of netCDF files + variables
-      !!   8.5  !  02-09  (G. Madec)  F90: Free form and module
-      !!   9.0  !  05-11  (V. Garnier) Surface pressure gradient organization
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
-
-      !! * Local declarations
-      LOGICAL ::   ll_print = .FALSE.    ! =T print and flush numout
-      CHARACTER (len=40) ::           &
-         clhstnam, clop, clmx            ! temporary names
-      INTEGER ::   inum = 11             ! temporary logical unit
-      INTEGER ::   &
-         iimi, iima, ipk, it, itmod,  &  ! temporary integers
-         ijmi, ijma                      !    "          "
-      REAL(wp) ::   &
-         zsto, zout, zmax,            &  ! temporary scalars
-         zjulian, zdt                    !    "         "
-      REAL(wp), DIMENSION(jpi,jpj) :: &
-         zw2d                            ! temporary workspace
+      LOGICAL ::   ll_print = .FALSE.                        ! =T print and flush numout
+      CHARACTER (len=40) ::   clhstnam, clop, clmx           ! local names
+      INTEGER  ::   inum = 11                                ! temporary logical unit
+      INTEGER  ::   iimi, iima, ipk, it, itmod, ijmi, ijma   ! local integers
+      REAL(wp) ::   zsto, zout, zmax, zjulian, zdt           ! local scalars
+      REAL(wp), DIMENSION(jpi,jpj) ::   zw2d                 ! 2D workspace
       !!----------------------------------------------------------------------
       !
@@ -279,5 +273,5 @@
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,           &  ! Horizontal grid: glamt and gphit
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
-            &          nit000-1, zjulian, zdt, nh_T, nid_T, domain_id=nidom )
+            &          nit000-1, zjulian, zdt, nh_T, nid_T, domain_id=nidom, snc4chunks=snc4set )
          CALL histvert( nid_T, "deptht", "Vertical T levels",      &  ! Vertical grid: gdept
             &           "m", ipk, gdept_0, nz_T, "down" )
@@ -292,5 +286,5 @@
          CALL histbeg( clhstnam, jpi, glamu, jpj, gphiu,           &  ! Horizontal grid: glamu and gphiu
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
-            &          nit000-1, zjulian, zdt, nh_U, nid_U, domain_id=nidom )
+            &          nit000-1, zjulian, zdt, nh_U, nid_U, domain_id=nidom, snc4chunks=snc4set )
          CALL histvert( nid_U, "depthu", "Vertical U levels",      &  ! Vertical grid: gdept
             &           "m", ipk, gdept_0, nz_U, "down" )
@@ -305,5 +299,5 @@
          CALL histbeg( clhstnam, jpi, glamv, jpj, gphiv,           &  ! Horizontal grid: glamv and gphiv
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
-            &          nit000-1, zjulian, zdt, nh_V, nid_V, domain_id=nidom )
+            &          nit000-1, zjulian, zdt, nh_V, nid_V, domain_id=nidom, snc4chunks=snc4set )
          CALL histvert( nid_V, "depthv", "Vertical V levels",      &  ! Vertical grid : gdept
             &          "m", ipk, gdept_0, nz_V, "down" )
@@ -318,5 +312,5 @@
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,           &  ! Horizontal grid: glamt and gphit
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,       &
-            &          nit000-1, zjulian, zdt, nh_W, nid_W, domain_id=nidom )
+            &          nit000-1, zjulian, zdt, nh_W, nid_W, domain_id=nidom, snc4chunks=snc4set )
          CALL histvert( nid_W, "depthw", "Vertical W levels",      &  ! Vertical grid: gdepw
             &          "m", ipk, gdepw_0, nz_W, "down" )
@@ -346,11 +340,11 @@
 !!$            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
 !!$#endif
-         CALL histdef( nid_T, "sowaflup", "Net Upward Water Flux"              , "Kg/m2/s",   &  ! emp
+         CALL histdef( nid_T, "sowaflup", "Net Upward Water Flux"              , "Kg/m2/s",   &  ! (emp-rnf)
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
 !!$         CALL histdef( nid_T, "sorunoff", "Runoffs"                            , "Kg/m2/s",   &  ! runoffs
 !!$            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sowaflcd", "concentration/dilution water flux"  , "kg/m2/s",   &  ! emps
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sosalflx", "Surface Salt Flux"                  , "Kg/m2/s",   &  ! emps * sn
+         CALL histdef( nid_T, "sowaflcd", "concentration/dilution water flux"  , "kg/m2/s",   &  ! (emps-rnf)
+            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
+         CALL histdef( nid_T, "sosalflx", "Surface Salt Flux"                  , "Kg/m2/s",   &  ! (emps-rnf) * sn
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
          CALL histdef( nid_T, "sohefldo", "Net Downward Heat Flux"             , "W/m2"   ,   &  ! qns + qsr
@@ -383,8 +377,4 @@
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
          CALL histdef( nid_T, "sosafldp", "Surface salt flux: Damping"         , "Kg/m2/s",   &  ! erp * sn
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-#endif
-#if defined key_diaspr
-         CALL histdef( nid_T, "sosurfps", "Surface Pressure"                   , "cm"     ,   &  ! sp
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
 #endif
@@ -414,5 +404,5 @@
 #endif 
 
-         CALL histend( nid_T )
+         CALL histend( nid_T, snc4chunks=snc4set )
 
          !                                                                                      !!! nid_U : 3D
@@ -427,5 +417,5 @@
             &          jpi, jpj, nh_U, 1  , 1, 1  , - 99, 32, clop, zsto, zout )
 
-         CALL histend( nid_U )
+         CALL histend( nid_U, snc4chunks=snc4set )
 
          !                                                                                      !!! nid_V : 3D
@@ -440,5 +430,5 @@
             &          jpi, jpj, nh_V, 1  , 1, 1  , - 99, 32, clop, zsto, zout )
 
-         CALL histend( nid_V )
+         CALL histend( nid_V, snc4chunks=snc4set )
 
          !                                                                                      !!! nid_W : 3D
@@ -468,5 +458,5 @@
 #endif
 
-         CALL histend( nid_W )
+         CALL histend( nid_W, snc4chunks=snc4set )
 
          IF(lwp) WRITE(numout,*)
@@ -498,8 +488,8 @@
 !!$      CALL histwrite( nid_T, "sowaflep", it, fmass(:,:)    , ndim_hT, ndex_hT )   ! atmos=>ocean water flux
 !!$#endif
-      CALL histwrite( nid_T, "sowaflup", it, emp           , ndim_hT, ndex_hT )   ! upward water flux
+      CALL histwrite( nid_T, "sowaflup", it, ( emp-rnf )   , ndim_hT, ndex_hT )   ! upward water flux
 !!$      CALL histwrite( nid_T, "sorunoff", it, runoff        , ndim_hT, ndex_hT )   ! runoff
-      CALL histwrite( nid_T, "sowaflcd", it, emps          , ndim_hT, ndex_hT )   ! c/d water flux
-      zw2d(:,:) = emps(:,:) * sn(:,:,1) * tmask(:,:,1)
+      CALL histwrite( nid_T, "sowaflcd", it, ( emps-rnf )  , ndim_hT, ndex_hT )   ! c/d water flux
+      zw2d(:,:) = ( emps(:,:) - rnf(:,:) ) * sn(:,:,1) * tmask(:,:,1)
       CALL histwrite( nid_T, "sosalflx", it, zw2d          , ndim_hT, ndex_hT )   ! c/d salt flux
       CALL histwrite( nid_T, "sohefldo", it, qns + qsr     , ndim_hT, ndex_hT )   ! total heat flux
@@ -521,8 +511,5 @@
       CALL histwrite( nid_T, "sosafldp", it, zw2d          , ndim_hT, ndex_hT )   ! salt flux damping
 #endif
-#if defined key_diaspr
-      CALL histwrite( nid_T, "sosurfps", it, gps           , ndim_hT, ndex_hT )   ! surface pressure
-#endif
-         zw2d(:,:) = FLOAT( nmln(:,:) ) * tmask(:,:,1)
+      zw2d(:,:) = FLOAT( nmln(:,:) ) * tmask(:,:,1)
       CALL histwrite( nid_T, "sobowlin", it, zw2d          , ndim_hT, ndex_hT )   ! ???
 
@@ -583,5 +570,5 @@
          CALL histclo( nid_W )
       ENDIF
-
+      !
    END SUBROUTINE dia_wri
 # endif
@@ -601,25 +588,13 @@
       !!      File 'output.init.nc'  is created if ninist = 1 (namelist)
       !!      File 'output.abort.nc' is created in case of abnormal job end
-      !!
-      !! History :
-      !!   8.2  !  00-06  (M. Imbard)  Original code (diabort.F)
-      !!   8.5  !  02-06  (A.Bozec, E. Durand)  Original code (diainit.F)
-      !!   9.0  !  02-12  (G. Madec)  merge of diabort and diainit, F90
-      !!    "   !  05-11  (V. Garnier) Surface pressure gradient organization
       !!----------------------------------------------------------------------
-      !! * Arguments
       CHARACTER (len=* ), INTENT( in ) ::   cdfile_name      ! name of the file created
       INTEGER           , INTENT( in ) ::   kt               ! ocean time-step index
-
-      !! * Local declarations
+      !! 
       CHARACTER (len=32) :: clname
       CHARACTER (len=40) :: clop
-      INTEGER  ::   &
-         id_i , nz_i, nh_i       
-      INTEGER, DIMENSION(1) ::   &
-         idex             ! temprary workspace
-      REAL(wp) ::   &
-         zsto, zout, zmax,   &
-         zjulian, zdt
+      INTEGER  ::   id_i , nz_i, nh_i       
+      INTEGER, DIMENSION(1) ::   idex             ! local workspace
+      REAL(wp) ::   zsto, zout, zmax, zjulian, zdt
       !!----------------------------------------------------------------------
 
@@ -649,5 +624,5 @@
       zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
       CALL histbeg( clname, jpi, glamt, jpj, gphit,   &
-          1, jpi, 1, jpj, nit000-1, zjulian, zdt, nh_i, id_i, domain_id=nidom )          ! Horizontal grid : glamt and gphit
+          1, jpi, 1, jpj, nit000-1, zjulian, zdt, nh_i, id_i, domain_id=nidom, snc4chunks=snc4set ) ! Horizontal grid : glamt and gphit
       CALL histvert( id_i, "deptht", "Vertical T levels",   &    ! Vertical grid : gdept
           "m", jpk, gdept_0, nz_i, "down")
@@ -683,5 +658,5 @@
       CALL lim_wri_state_2( kt, id_i, nh_i )
 #else
-      CALL histend( id_i )
+      CALL histend( id_i, snc4chunks=snc4set )
 #endif
 
@@ -700,5 +675,5 @@
       CALL histwrite( id_i, "vomecrty", kt, vn       , jpi*jpj*jpk, idex )    ! now j-velocity
       CALL histwrite( id_i, "vovecrtz", kt, wn       , jpi*jpj*jpk, idex )    ! now k-velocity
-      CALL histwrite( id_i, "sowaflup", kt, emp      , jpi*jpj    , idex )    ! freshwater budget
+      CALL histwrite( id_i, "sowaflup", kt, (emp-rnf), jpi*jpj    , idex )    ! freshwater budget
       CALL histwrite( id_i, "sohefldo", kt, qsr + qns, jpi*jpj    , idex )    ! total heat flux
       CALL histwrite( id_i, "soshfldo", kt, qsr      , jpi*jpj    , idex )    ! solar heat flux
Index: trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diawri_dimg.h90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 2528)
@@ -2,10 +2,10 @@
   !!                        ***  diawri_dimg.h90  ***
   !!----------------------------------------------------------------------
-  !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-  !! $Id$
-  !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+  !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+  !! $Id $
+  !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
   !!----------------------------------------------------------------------
 
-  SUBROUTINE dia_wri (kt)
+  SUBROUTINE dia_wri( kt )
     !!----------------------------------------------------------------------
     !!           *** routine dia_wri ***
@@ -42,5 +42,5 @@
     !!  level 2:  vtau(:,:) * vmask(:,:,1) meridional stress in N. m-2
     !!  level 3:  qsr + qns                total heat flux (W/m2)
-    !!  level 4:  emp (:,:)               E-P flux (mm/day)
+    !!  level 4:  ( emp (:,:)-rnf(:,:) )   E-P flux (mm/day)
     !!  level 5:  tb  (:,:,1)-sst          model SST -forcing sst (degree C) ! deprecated
     !!  level 6:  bsfb(:,:)		   streamfunction (m**3/s)
@@ -54,5 +54,5 @@
     !!  level 14: qct(:,:)                 equivalent flux due to treshold SST
     !!  level 15: fbt(:,:)                 feedback term .
-    !!  level 16: emps(:,:)                concentration/dilution water flux
+    !!  level 16: ( emps(:,:) - rnf(:,:) ) concentration/dilution water flux
     !!  level 17: fsalt(:,:)               Ice=>ocean net freshwater
     !!  level 18: gps(:,:)                 the surface pressure (m).
@@ -60,25 +60,14 @@
     !!  level 20: spgv(:,:)                the surface pressure gradient in Y direction.
     !! 
-    !! History 
-    !!      original  : 91-03 ()
-    !!      additions : 91-11 (G. Madec)
-    !!      additions : 92-06 (M. Imbard) correction restart file
-    !!      additions : 92-07 (M. Imbard) split into diawri and rstwri
-    !!      additions : 93-03 (M. Imbard) suppress writibm
-    !!      additions : 94-12 (M. Imbard) acces direct files
-    !!      additions : 97-2002 ( Clipper Group ) dimg files
-    !!                  dec 2003 ( J.M. Molines) f90, mpp output for OPA9.0
-    !!   9.0  !  05-05  (S. Theetten) add emps fsalt move gps spgu spgv 2 lines below
-    !!   9.0  !  05-11  (V. Garnier) Surface pressure gradient organization
+    !! History:  OPA  ! 1997-02 ( Clipper Group ) dimg files
+    !!            -   ! 2003-12 ( J.M. Molines) f90, mpp output for OPA9.0
+    !!   NEMO    1.0  ! 2005-05  (S. Theetten) add emps fsalt move gps spgu spgv 2 lines below
+    !!            -   ! 2005-11  (V. Garnier) Surface pressure gradient organization
     !!----------------------------------------------------------------------
-    !! * modules used
     USE lib_mpp
-
-    !! * Arguments
+    !!
     INTEGER ,INTENT(in) :: kt
-
-    !! * local declarations
+    !!
     INTEGER :: inbsel, jk
-!!  INTEGER :: iwrite
     INTEGER :: iyear,imon,iday
     INTEGER, SAVE :: nmoyct 
@@ -101,23 +90,15 @@
     CHARACTER(LEN=80) :: clmode
     CHARACTER(LEN= 4) :: clver
+    !!----------------------------------------------------------------------
     !
     !  Initialization
     !  ---------------
     !
-#ifdef key_diaspr
-    inbsel = 20
-#else
     inbsel = 17
-#endif
-#if defined key_flx_core
-    inbsel = 23
-#endif
-
-    IF( inbsel >  jpk) THEN
-       IF( lwp) WRITE(numout,*)  &
-            ' STOP inbsel =',inbsel,' is larger than jpk=',jpk
+
+    IF( inbsel >  jpk ) THEN
+       IF(lwp) WRITE(numout,*)  ' STOP inbsel =',inbsel,' is larger than jpk=',jpk
        STOP
     ENDIF
-
 
     iyear = ndastp/10000
@@ -167,5 +148,5 @@
        fsel(:,:,2 ) = fsel(:,:,2 ) + vtau(:,:) * vmask(:,:,1)
        fsel(:,:,3 ) = fsel(:,:,3 ) + qsr (:,:) + qns  (:,:) 
-       fsel(:,:,4 ) = fsel(:,:,4 ) + emp (:,:)
+       fsel(:,:,4 ) = fsel(:,:,4 ) + ( emp(:,:)-rnf(:,:) ) 
        !        fsel(:,:,5 ) = fsel(:,:,5 ) + tb  (:,:,1)  !RB not used
        fsel(:,:,6 ) = fsel(:,:,6 ) + sshn(:,:) 
@@ -179,8 +160,5 @@
        !        fsel(:,:,14) = fsel(:,:,14) + qct(:,:)
        !        fsel(:,:,15) = fsel(:,:,15) + fbt(:,:)
-       fsel(:,:,16) = fsel(:,:,16) + emps(:,:)
-#ifdef key_diaspr   
-       fsel(:,:,18) = fsel(:,:,18) + gps(:,:)/g 
-#endif
+       fsel(:,:,16) = fsel(:,:,16) + ( emps(:,:)-rnf(:,:) ) 
        !
        ! Output of dynamics and tracer fields and selected fields
@@ -210,9 +188,4 @@
           ! computed from the averaged gradients.
           !
-#ifdef key_diaspr
-          fsel(:,:,18)= gps(:,:)/g
-          fsel(:,:,19)= spgu(:,:)
-          fsel(:,:,20)= spgv(:,:)
-#endif
           ! mask mean field with tmask except utau vtau (1,2)
           DO jk=3,inbsel
@@ -242,5 +215,5 @@
           fsel(:,:,2 ) = vtau(:,:) * vmask(:,:,1)
           fsel(:,:,3 ) = (qsr (:,:) + qns (:,:)) * tmask(:,:,1)
-          fsel(:,:,4 ) = emp (:,:) * tmask(:,:,1)
+          fsel(:,:,4 ) = ( emp(:,:)-rnf(:,:) ) * tmask(:,:,1) 
           !         fsel(:,:,5 ) = (tb  (:,:,1) - sf_sst(1)%fnow(:,:) ) *tmask(:,:,1) !RB not used
 
@@ -255,10 +228,5 @@
           !         fsel(:,:,14) =  qct(:,:)
           !         fsel(:,:,15) =  fbt(:,:)
-          fsel(:,:,16) =  emps(:,:) * tmask(:,:,1)
-#ifdef key_diaspr           
-          fsel(:,:,18) =      gps(:,:) /g
-          fsel(:,:,19) =      spgu(:,:)
-          fsel(:,:,20) =      spgv(:,:)
-#endif
+          fsel(:,:,16) = ( emps(:,:)-rnf(:,:) ) * tmask(:,:,1) 
           !
           !         qct(:,:) = 0._wp
@@ -383,4 +351,4 @@
     !
 9000 FORMAT(a,"_",a,"_y",i4.4,"m",i2.2,"d",i2.2,".dimgproc")
-
+    !
   END SUBROUTINE dia_wri
Index: trunk/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90	(revision 2528)
@@ -44,7 +44,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -180,5 +180,6 @@
       INTEGER                     ::   ji, jj, jc, jn   ! dummy loop indices
       REAL(wp)                    ::   zze2
-      REAL(wp), DIMENSION (jpncs) ::   zemp
+      REAL(wp), DIMENSION (jpncs) ::   zfwf 
+ 
       !!----------------------------------------------------------------------
       !
@@ -216,18 +217,18 @@
       !                                                   !--------------------!
       !                                                   !  update emp, emps  !
-      zemp = 0.e0                                         !--------------------!
+      zfwf = 0.e0                                         !--------------------!
       DO jc = 1, jpncs
          DO jj = ncsj1(jc), ncsj2(jc)
             DO ji = ncsi1(jc), ncsi2(jc)
-               zemp(jc) = zemp(jc) + e1t(ji,jj) * e2t(ji,jj) * emp(ji,jj) * tmask_i(ji,jj)
+               zfwf(jc) = zfwf(jc) + e1t(ji,jj) * e2t(ji,jj) * ( emp(ji,jj)-rnf(ji,jj) ) * tmask_i(ji,jj) 
             END DO  
          END DO 
       END DO
-      IF( lk_mpp )   CALL mpp_sum ( zemp(:) , jpncs )       ! mpp: sum over all the global domain
+      IF( lk_mpp )   CALL mpp_sum ( zfwf(:) , jpncs )       ! mpp: sum over all the global domain
 
       IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN      ! Black Sea case for ORCA_R2 configuration
-         zze2    = ( zemp(3) + zemp(4) ) / 2.
-         zemp(3) = zze2
-         zemp(4) = zze2
+         zze2    = ( zfwf(3) + zfwf(4) ) / 2.
+         zfwf(3) = zze2
+         zfwf(4) = zze2
       ENDIF
 
@@ -236,9 +237,9 @@
          IF( ncstt(jc) == 0 ) THEN 
             ! water/evap excess is shared by all open ocean
-            emp (:,:) = emp (:,:) + zemp(jc) / surf(jpncs+1)
-            emps(:,:) = emps(:,:) + zemp(jc) / surf(jpncs+1)
+            emp (:,:) = emp (:,:) + zfwf(jc) / surf(jpncs+1)
+            emps(:,:) = emps(:,:) + zfwf(jc) / surf(jpncs+1)
          ELSEIF( ncstt(jc) == 1 ) THEN 
             ! Excess water in open sea, at outflow location, excess evap shared
-            IF ( zemp(jc) <= 0.e0 ) THEN 
+            IF ( zfwf(jc) <= 0.e0 ) THEN 
                 DO jn = 1, ncsnr(jc)
                   ji = mi0(ncsir(jc,jn))
@@ -246,13 +247,13 @@
                   IF (      ji > 1 .AND. ji < jpi   &
                       .AND. jj > 1 .AND. jj < jpj ) THEN 
-                      emp (ji,jj) = emp (ji,jj) + zemp(jc) /   &
+                      emp (ji,jj) = emp (ji,jj) + zfwf(jc) /   &
                          (FLOAT(ncsnr(jc)) * e1t(ji,jj) * e2t(ji,jj))
-                      emps(ji,jj) = emps(ji,jj) + zemp(jc) /   &
+                      emps(ji,jj) = emps(ji,jj) + zfwf(jc) /   &
                           (FLOAT(ncsnr(jc)) * e1t(ji,jj) * e2t(ji,jj))
                   END IF 
                 END DO 
             ELSE 
-                emp (:,:) = emp (:,:) + zemp(jc) / surf(jpncs+1)
-                emps(:,:) = emps(:,:) + zemp(jc) / surf(jpncs+1)
+                emp (:,:) = emp (:,:) + zfwf(jc) / surf(jpncs+1)
+                emps(:,:) = emps(:,:) + zfwf(jc) / surf(jpncs+1)
             ENDIF
          ELSEIF( ncstt(jc) == 2 ) THEN 
@@ -263,7 +264,7 @@
                   ji = mi0(ncsir(jc,jn))
                   jj = mj0(ncsjr(jc,jn)) ! Location of outflow in open ocean
-                  emp (ji,jj) = emp (ji,jj) + zemp(jc)   &
+                  emp (ji,jj) = emp (ji,jj) + zfwf(jc)   &
                       / (FLOAT(ncsnr(jc)) *  e1t(ji,jj) * e2t(ji,jj) )
-                  emps(ji,jj) = emps(ji,jj) + zemp(jc)   &
+                  emps(ji,jj) = emps(ji,jj) + zfwf(jc)   &
                       / (FLOAT(ncsnr(jc)) *  e1t(ji,jj) * e2t(ji,jj) )
                 END DO 
@@ -273,6 +274,6 @@
          DO jj = ncsj1(jc), ncsj2(jc)
             DO ji = ncsi1(jc), ncsi2(jc)
-               emp (ji,jj) = emp (ji,jj) - zemp(jc) / surf(jc)
-               emps(ji,jj) = emps(ji,jj) - zemp(jc) / surf(jc)
+               emp (ji,jj) = emp (ji,jj) - zfwf(jc) / surf(jc)
+               emps(ji,jj) = emps(ji,jj) - zfwf(jc) / surf(jc)
             END DO  
          END DO 
